MKD_LINE(3)

NAME
mkd_line - do Markdown translation of small items

LIBRARY
Markdown (libmarkdown, -lmarkdown)

SYNOPSIS
#include <mkdio.h>
int
mkd_line(char *string, int size, char **doc, int flags);
int
mkd_generateline(char *string, int size, FILE *output, int flags);

DESCRIPTION

Occasionally one might want to do markdown translations on fragments of data, like the title of an weblog article, a date, or a simple signature line. mkd_line and mkd_generateline allow you to do markdown translations on small blocks of text. mkd_line allocates a buffer, then writes the translated text into that buffer, and mkd_generateline writes the output to the specified FILE*.

SEE ALSO
markdown(1), markdown(3), markdown(7), mkd-extensions(7), mmap(2).

http://daringfireball.net/projects/markdown/syntax

BUGS
Error handling is minimal at best.